Title: Lazy Loading in php with spl_autload

Today, a very short post about the lazy loading in PHP: `spl_autoload`.
I'll not expose everything about it here, cause it's already done here:
[http://php.net/autoload](http://php.net/autoload).

Basically, a Lazy Loading allow you to predifine some paths where PHP
should seek for classes to include, this allow you to directly
instantiate an object without having included its file.

    :::php
    public static function lazyLoad($strClassName)
    {
        /* some work to find the file to include mixing strClassName */

        /* include your files here... */
    }
    spl_autoload_register("lazyLoad");
