status: hidden
title: Culture Tech — Rattrapage
slug: eiRah1ch-culture-tech
robots: noindex

Toutes les parties sont à faire sur le serveur `eqy.fr`.

L'intégralité des lignes de commandes utilisées sont à me rendre, vous
pouvez utiliser le programme `history` pour les récolter.

Je ne veux bien sûr pas les fautes de frappe, si je demande :

    Créez le dossier foo

Je veux :

    mkdir foo

pas :

    mkdir fo
    rm fo
    mkdir foo


Attention le sujet est sensible à la casse.

# Partie Ⅰ

Créez un dossier `rattrapage` à la racine de votre dossier personnel (sur eqy.fr).

Dans ce dossier `rattrapage`, créez la hierarchie suivante (attention
il y a des dossiers et des fichiers, les fichiers doivent rester
**vide**) :

```text
.
├── README.md
├── CONTRIBUTING.md
├── docs
│   ├── conf.py
│   ├── changelog.rst
│   ├── content.rst
│   └── tips.rst
├── LICENSE
├── src
│   ├── main.py
│   ├── plugins
│   │   ├── signals.py
│   │   ├── jobs.py
│   │   └── workers.py
│   ├── tests
│   │   ├── fixtures
│   │   │   ├── 2022-05-02.rst
│   │   │   ├── 2022-05-03.rst
│   │   │   └── 2022-05-04.rst
│   │   ├── test_base.py
│   │   └── conftest.py
│   ├── some
│   │   └── deep
│   │       └── hier
│   │           └── ar
│   │               └── chy.py
│   └── __pycache__/
└ THANKS
```


# Partie Ⅱ

Rédigez une série de `one-liners` bash utilisant le fichier
https://raw.githubusercontent.com/etalab/noms-de-domaine-organismes-publics/master/urls.txt
et permettant d'obtenir :

- Le nombre d'URLS contenues dans le fichier.
- Le nombre d'URL utilisant HTTP et le nombre d'URL utilisant HTTPS.
- Le nombre de domaines en `.alsace`.
- La liste des domaines contenant `alsace` mais n'ayant pas le TLD `alsace`.
- Le top 10 des TLD.
- Le flop 10 des TLD.
- Le top 10 des URL les plus longues.


Oui, `.gouv.fr` est un TLD, mais oui, dans le cadre de cet exercice on
pourra ignorer ce « détail ».
