Title: Python initiation
Slug: python-initiation
Lang: fr

C’est la première des deux formations Python que je propose,
accessible sans prérequis.


## Objectifs

À la fin de cette formation les stagiaires ont les bases de Python et
sont capable de produire des programmes simples, de maintenir et faire
évoluer des programmes existants.

- Implémenter un programme simple résolvant un problème bien défini.
- Lire, comprendre, et modifier le code d’un autre développeur Python.
- Rédiger des tests.


## Le contenu

- Les types natifs (`bool`, `int`, `float`, `str`, …)
- Les opérateurs
- Les variables
- Les fonctions
- Les instructions (`for`, `if`, `while`, …)
- Les méthodes
- La notation en compréhension
- Les *slices*
- Les classes
- `pip` et les `venvs`
- Le packaging
- Les bonnes pratiques


## Durée

Cette formation se déroule idéalement en trois jours.


## Contact

Pour en savoir plus, contactez-moi par email : julien at palard.fr.
